﻿@model PontosCulturais.ViewModels.MostrarDadosViewModel
@inject IApresentarInformaçõesServiço _apresentarServiço

<a class="btn btn-success mb-4" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

<p class="lead">Dados de Cadastro</p>

<div class="form-group row">
    <div class="col-sm-4">
        <label>CPF:</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.CPF" />
    </div>

    <div class="col-sm-8">
        <label>Nome Completo:</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.NomeCompleto" />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label>RG:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.RG" readonly />
    </div>

    <div class="col-sm-6">
        <label>Órgão Emissor e Estado:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ÓrgãoEstado" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label for="nascimento">Data de Nascimento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Nascimento" readonly />
    </div>
    <div class="col-sm-8">
        <label for="nomemae">Nome da Mãe:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.NomeMãe" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label for="telefone1">Telefone 01:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Telefone01" readonly />
    </div>

    <div class="col-sm-4">
        <label for="telefone2">Telefone 02:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Telefone02" readonly />
    </div>

    <div class="col-sm-4">
        <label for="nomesocial">Nome Social:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.NomeSocial" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label for="email">E-mail:</label>
        <input type="email" class="form-control" asp-for="PessoaFísica.Email" readonly />
    </div>
    <div class="col-sm-6">
        <label for="estado">País de Nascimento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.PaísNascimento" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label for="endereco">Endereço:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Endereço" readonly />
    </div>

    <div class="col-sm-3">
        <label for="complemento">Complemento:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ComplementoEndereço" readonly />
    </div>

    <div class="col-sm-3">
        <label for="bairro">Bairro:</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Bairro" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Gênero</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.GêneroDeclarado.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Raça</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Raça.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Deficiência</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.Deficiência.Nome" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Comunidade Tradicional</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.ComunidadeTradicional.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Atuação Cultural</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.FunçãoCultural.Nome" readonly />
    </div>

    <div class="col-sm-4">
        <label>Vínculo Empregatício</label>
        <input type="text" class="form-control" asp-for="PessoaFísica.SituaçãoTrabalho.Nome" readonly />
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-6">
        <label>Segmentos Culturais:</label>
        <textarea class="form-control" rows="4" readonly asp-for="SegmentosCulturaisTexto"></textarea>
    </div>

    <div class="col-sm-6">
        <label>Atuação:</label>
        <textarea class="form-control" rows="4" readonly asp-for="PessoaFísica.Atuação"></textarea>
    </div>
</div>

<div class="form-group row">
    <div class="col-sm-4">
        <label>Tipo de Conta</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.TipoContaBancária.Nome"/>
    </div>

    <div class="col-sm-4">
        <label>Banco</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.Banco.Nome"/>
    </div>

    <div class="col-sm-3">
        <label>Conta</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.ContaBancária"/>
    </div>

    <div class="col-sm-1">
        <label>Operação</label>
        <input type="text" class="form-control" readonly asp-for="PessoaFísica.CódigoOperação" />
    </div>
</div>

<div class="form-group row">
    <div class="col">
        <label>
            Vai cadastrar espaço cultural : @_apresentarServiço.Apresentar(Model.PessoaFísica.CadastrarEspaçoCultural)
        </label>
    </div>
</div>

<div class="form-group row">
    <div class="col">
        Mulher e chefe de família monoparental : @_apresentarServiço.Apresentar(Model.PessoaFísica.MulherProvedora)
    </div>
</div>

